# Class: StorePostSearchReq

[internal](../modules/internal-46.md).StorePostSearchReq

## Properties

### filter

• `Optional` **filter**: `unknown`

#### Defined in

medusa/dist/api/routes/store/products/search.d.ts:57

___

### limit

• `Optional` **limit**: `number`

#### Defined in

medusa/dist/api/routes/store/products/search.d.ts:56

___

### offset

• `Optional` **offset**: `number`

#### Defined in

medusa/dist/api/routes/store/products/search.d.ts:55

___

### q

• `Optional` **q**: `string`

#### Defined in

medusa/dist/api/routes/store/products/search.d.ts:54
